OpenBCM V1.07b6_bn2 (Linux)

Packet Radio Mailbox

FFLB0X

[[FFL-B0X]]

 Login: GAST





  
AS1GBF > BAYBOX   13.02.15 23:37l 49 Lines 2084 Bytes #999 (999) @ WW
BID : DP2AS1BOX_1V
Read: GAST
Subj: Re: H: compiling BayBox Debian 7
Path: FFLB0X<DBO841<DBO763<AS1BOX
Sent: 150213/1727z @:AS1BOX.#BAY.DEU.BCMNET [NDB JN68CQ] obcm1.07b6_bn3 LT:999
From: AS1GBF @ AS1BOX.#BAY.DEU.BCMNET (Andreas)
To:   BAYBOX @ WW
X-Info: Sent with login password

Hi Mario,

From: MW1RBL @ BX0RBL.#RBL.O.DLNET.DEU.EU (Mario)
To:   BAYBOX @ WW
X-Info: Sent with login password
>Hello,
>
>i try to compile obcm-1.07b12 on Debian 7. While linking the binary, the
>following error occurs:
>
>Compiling vidinit.cpp
>Compiling yapp.cpp
>Compiling wp.cpp
>Compiling wx.cpp
>Linking OpenBCM version 1.07b12...
>g++ -o bcm l1main_l.o l1kiss_l.o l1axip_l.o l2host.o l2info.o l2interf.o
>l2main_l.o l2mhlist.o l2proto.o l2util.o ax_util.o ad_linux.o alter.o ax25k.o
>bcast.o bids.o binsplit.o cfgflex.o charset.o check.o cmd.o convers.o
>convert.o crc.o crontab.o desktop.o didadit.o dir.o extract.o fileio.o
>filesurf.o ftp.o fts.o fwd.o fwd_afwd.o fwd_rli.o fwd_fbb.o fwd_file.o grep.o
>hadr.o http.o help.o huffman.o init.o inout.o interfac.o l_flex.o login.o
>mailserv.o main.o macro.o memalloc.o md2md5.o mdpw.o morse.o msg.o nntp.o
>oldmaili.o ping.o pocsag.o pop3.o purge.o pw.o radio.o read.o reorg.o
>runutils.o sema.o send.o service.o smtp.o socket.o sysop.o task.o tell.o
>terminal.o time.o timerint.o tnc.o trace.o transfer.o tree.o tty.o usercomp.o
>users.o utils.o vidinit.o yapp.o wp.o wx.o  -dynamic -m32 -lcrypt
>/usr/bin/ld: skipping incompatible
>/usr/lib/gcc/x86_64-linux-gnu/4.7/libstdc++.so when searching for -lstdc++
>/usr/bin/ld: skipping incompatible
>/usr/lib/gcc/x86_64-linux-gnu/4.7/libstdc++.a when searching for -lstdc++
>/usr/bin/ld: cannot find -lstdc++
>collect2: error: ld returned 1 exit status
>make: *** [bcm] Fehler 1
>
>Anyone the same error and solve this? I put the same mail in HAM-BBS network,

>but no one has an issue for this problem.

I don't know if OpenBCM is even compatible with the amd64 architecture. Have
you tried it on another amd64 installation and what's the result?

If you use gcc4.7 then libstdc++6-4.7-dev is required. Also check if the
stdc++6 packages are really from Debian stable and not a mix with
unstable/testing. To get an idea what's installed: dpkg -l gcc* g++* libstd*

73 de Andreas 


Lese vorherige Mail | Lese naechste Mail


 07.08.2020 17:08:02lZurueck Nach oben